Bug 6093 - не очищается директория tmp
: не очищается директория tmp
Status: CLOSED WONTFIX
: ALT Linux 2.4
(All bugs in ALT Linux 2.4/clamav)
: 2.4
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-02-11 13:57 by
Modified: 2006-11-23 12:35 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-02-11 13:57:02
это касается уже последнего апдейта по security-announce (версия 0.82)

При старте связки clamd+milter в /tmp создается временная директоря для
обработки завирусованых сообщений типа:
drwx------   2 mail mail 4096 Feb  4 17:03 clamav-204e357756f1d6c4/
После останова сервисов директория не удаляется (сколько рестартов - столько
директорий).
Есть конечно stmpclean, но неправильно это...
PS: я так понимаю режим stream в clamav убран как принцип?
------- Comment #1 From 2005-02-11 20:56:45 -------
> PS: я так понимаю режим stream в clamav убран как принцип? 

Имеется ввиду session ? Да, я писал по поводу него предупреждение в sisyphus. У 
меня были проблемы с тем что clamav-milter начинал путать файлы и, 
соответственно, блокировать не то, что надо.  

Что касается /tmp, я Хорну написал. 
------- Comment #2 From 2005-02-14 15:13:17 -------
(In reply to comment #1)
> > PS: я так понимаю режим stream в clamav убран как принцип? 
>  
> Имеется ввиду session ? Да, я писал по поводу него предупреждение в sisyphus. У 
> меня были проблемы с тем что clamav-milter начинал путать файлы и, 
> соответственно, блокировать не то, что надо.  

помоему нет. я имел в виду старое:
Sun Nov 14 15:23:02 GMT 2004 (njh)
----------------------------------
  * clamav-milter:	Use SCAN in more places in preference to STREAM

(в частности имелась в виду опция StreamSaveToDisc которая была в версии 0.75 и
которая
сейчас убрана).
------- Comment #3 From 2006-10-31 17:52:08 -------
Я закрываю этот баг. Сергей писал об этой проблеме в апстрим. Исправил ли
апстрим не упомню т.к. clamav-milter сам не использую по понятной причине
(отсутствии сендмейла :). Но думаю, что это уже давно исправлено.

Если вдруг нет - переоткройте баг.
------- Comment #4 From 2006-10-31 23:00:22 -------
В какой-то момент это меня напрягать перестало. Давно было, так что уже не 
помню, исправили ли в апстириме, или я вариант конфига сделал, где это не 
актуально. Но конфиг clamav-milter в Сизифе соответствует тому, что использую 
я.
------- Comment #5 From 2006-11-01 09:53:00 -------
Подтверждаю, в последних версиях баг убран. можно в принципе и FIXED делать
------- Comment #6 From 2006-11-23 12:35:42 -------
(In reply to comment #5)
> Подтверждаю, в последних версиях баг убран. можно в принципе и FIXED делать

Сейчас баг в состоянии WONTFIX, что наверное точнее. OK, если отсутствие бага
подтверждается, то я делаю CLOSED.